com.brightcove.player.model

## Class Block

- java.lang.Object
- - com.brightcove.player.model.Element
  - - com.brightcove.player.model.StyledElement
    - - com.brightcove.player.model.Block

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BrightcoveClosedCaption

      public class Block
      extends StyledElement

  Represents a single timed-text element.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.brightcove.player.model.StyledElement

      `StyledElement.FontStyle, StyledElement.FontWeight, StyledElement.TextAlign, StyledElement.TextDecoration, StyledElement.Unit`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Integer` | `beginTime` Deprecated.
    `protected long` | `beginTimeLong`
    `protected java.lang.Integer` | `endTime` Deprecated.
    `protected long` | `endTimeLong`
    `protected java.lang.String` | `region`

    - ### Fields inherited from class com.brightcove.player.model.StyledElement

      `backgroundColor, color, fontFamily, fontSize, fontStyle, fontWeight, styleName, textAlign, textDecoration`

    - ### Fields inherited from class com.brightcove.player.model.Element

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Block()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBeginTime()` Deprecated.
    `long` | `getBeginTimeLong()` The starting time of the element in milliseconds.
    `int` | `getEndTime()` Deprecated.
    `long` | `getEndTimeLong()` The ending time of the element in milliseconds.
    `java.lang.String` | `getRegion()` The region name for this timed-text element.
    `void` | `setBeginTime(int beginTime)` Deprecated.
    `void` | `setBeginTime(long beginTime)` The starting time of the element in milliseconds.
    `void` | `setEndTime(int endTime)` Deprecated.
    `void` | `setEndTime(long endTime)` The ending time of the element in milliseconds.
    `void` | `setRegion(java.lang.String region)` The region name for this timed-text element.

    - ### Methods inherited from class com.brightcove.player.model.StyledElement

      `getBackgroundColor, getColor, getFontFamily, getFontSize, getFontStyle, getFontWeight, getStyleName, getTextAlign, getTextDecoration, setBackgroundColor, setColor, setFontFamily, setFontSize, setFontStyle, setFontWeight, setStyleName, setTextAlign, setTextDecoration`

    - ### Methods inherited from class com.brightcove.player.model.Element

      `getID, setID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### beginTime

          @Deprecated
          protected java.lang.Integer beginTime

      Deprecated.

    - #### endTime

          @Deprecated
          protected java.lang.Integer endTime

      Deprecated.

    - #### beginTimeLong

          protected long beginTimeLong

    - #### endTimeLong

          protected long endTimeLong

    - #### region

          protected java.lang.String region

  - ### Constructor Detail

    - #### Block

          public Block()

  - ### Method Detail

    - #### getBeginTime

          @Deprecated
          public int getBeginTime()

      Deprecated.
      Deprecated. Instead use {`getBeginTimeLong()`}

    - #### getBeginTimeLong

          public long getBeginTimeLong()

      The starting time of the element in milliseconds.
      Returns:
        the starting time in milliseconds

    - #### setBeginTime

          @Deprecated
          public void setBeginTime(int beginTime)

      Deprecated.
      Deprecated. Instead use {`setBeginTime(long)`}

    - #### setBeginTime

          public void setBeginTime(long beginTime)

      The starting time of the element in milliseconds.
      Parameters:
        `beginTime` - the starting time in milliseconds

    - #### getEndTime

          @Deprecated
          public int getEndTime()

      Deprecated.
      Deprecated. Instead use {`getBeginTimeLong()`}

    - #### getEndTimeLong

          public long getEndTimeLong()

      The ending time of the element in milliseconds.
      Returns:
        the ending time in milliseconds

    - #### setEndTime

          @Deprecated
          public void setEndTime(int endTime)

      Deprecated.
      Deprecated. Instead use {`setEndTime(long)`}

    - #### setEndTime

          public void setEndTime(long endTime)

      The ending time of the element in milliseconds.
      Parameters:
        `endTime` - the ending time in milliseconds

    - #### getRegion

          public java.lang.String getRegion()

      The region name for this timed-text element.
      Returns:
        the name of the `Region`

    - #### setRegion

          public void setRegion(java.lang.String region)

      The region name for this timed-text element.
      Parameters:
        `region` - the name of the `Region`